$(function(){
	//情感话题分类展示
	var listI=new Array();
	listI[1]=listI[2]=listI[3]=0;
	var rel=1;
	var listLength=document.getElementById("hyqg_listbox1").getElementsByTagName("a").length;//一行列表的个数
	var listline=listLength/5;<!--1单位有5张图片 listline是表示有多少个单位-->
	$(".hyqgtopic_bottit li").mouseover(function(){
		$(".hyqgtopic_bottit li").attr("class","");
		$(this).attr("class","bottit_current");
		rel=$(this).attr("rel");
		$(".hyqg_listbox").hide();
		$("#hyqg_listbox"+rel+"").show();
		listLength=document.getElementById("hyqg_listbox"+rel+"").getElementsByTagName("a").length;//一行列表的个数
	    listline=listLength/5;<!--1单位有5张图片 listline是表示有多少个单位-->
	})
	//右按钮滚动图片
	function scrollpicRight(){
		if(listI[rel]<(listline-1)){
			listI[rel]++;
			for(var aI=1;aI<=5;aI++){//图片装载
				var obj=$("#hyqg_listbox"+rel+" a img").eq(listI[rel]*5+(aI-1));
				var imgSrc=obj.attr("src");
				var imgName=obj.attr("name");
				if(imgSrc==""+imagesPath+"img/pic1.gif"){
					obj.attr("src",imgName);
				}
			}
		};
		$("#hyqg_listbox"+rel+"").animate({marginLeft:"-"+listI[rel]*615+"px"},300);
	}
	//左侧按钮滚动图片
	function scrollpicLeft(){
		if(listI[rel]>0){listI[rel]--};
		$("#hyqg_listbox"+rel+"").animate({marginLeft:"-"+listI[rel]*615+"px"},300);
	}
	document.getElementById("rightbut").onclick=function(){
		scrollpicRight();
	}
	document.getElementById("leftbut").onclick=function(){
		scrollpicLeft();
	}
	
	//专题秀第一栏目
	var changeI=new Array(),Strdota=new Array(),showI=new Array(),objshowli=new Array(),playShow=new Array(),showSpeed=new Array();
	showSpeed[1]=3000;//第一栏目切换速度
	showSpeed[2]=4000;//第二栏目切换速度
	showSpeed[3]=5000;//第三栏目切换速度
	for(var i=1;i<=3;i++){
		changeI[i]=0;
		objshowli[i]=document.getElementById("showli"+i+"");
		showI[i]=objshowli[i].getElementsByTagName("li").length;
		Strdota[i]=objshowli[i].getElementsByTagName("li")[0].name.split("|");
		loadDota(i)
	}
	function loadDota(num){//载入数据
		document.getElementById("showimg"+num+"").src=Strdota[num][0];
                                document.getElementById("showimg"+num+"").alt=Strdota[num][1];
		document.getElementById("showlink"+num+"").title=Strdota[num][1];
		document.getElementById("showlink"+num+"").href=Strdota[num][2];
	}
	
	for(var sI=0;sI<=(showI[1]-1);sI++){
		objshowli[1].getElementsByTagName("li")[sI].onmouseover=function(){
			clearInterval(playShow[1]);
			changeI[1]=this.rel-1;
			for(var ii=0;ii<=(showI[1]-1);ii++){
			  objshowli[1].getElementsByTagName("li")[ii].className="";
			}
			this.className="show_current";
			Strdota[1]=this.name.split("|");
			loadDota(1);
		}
		objshowli[1].getElementsByTagName("li")[sI].onmouseout=function(){
			clearInterval(playShow[1]);
			playShow[1]=setInterval("$(this).turnShow(1)",showSpeed[1]);  
		}
	}//以上第一栏目
	for(var sI=0;sI<=(showI[2]-1);sI++){
		objshowli[2].getElementsByTagName("li")[sI].onmouseover=function(){
			clearInterval(playShow[2]);
			changeI[2]=this.rel-1;
			for(var ii=0;ii<=(showI[2]-1);ii++){
			  objshowli[2].getElementsByTagName("li")[ii].className="";
			}
			this.className="show_current";
			Strdota[2]=this.name.split("|");
			loadDota(2);
		}
		objshowli[2].getElementsByTagName("li")[sI].onmouseout=function(){
			clearInterval(playShow[2]);
			playShow[2]=setInterval("$(this).turnShow(2)",showSpeed[2]);
		}
	}//以上第二栏目
	for(var sI=0;sI<=(showI[3]-1);sI++){
		objshowli[3].getElementsByTagName("li")[sI].onmouseover=function(){
			clearInterval(playShow[3]);
			changeI[3]=this.rel-1;
			for(var ii=0;ii<=(showI[3]-1);ii++){
			  objshowli[3].getElementsByTagName("li")[ii].className="";
			}
			this.className="show_current";
			Strdota[3]=this.name.split("|");
			loadDota(3);
		}
		objshowli[3].getElementsByTagName("li")[sI].onmouseout=function(){
			clearInterval(playShow[3]);
			playShow[3]=setInterval("$(this).turnShow(3)",showSpeed[3]);
		}
	}//以上第三栏目

	$.fn.turnShow=function(numI){
		for(var ii=0;ii<=(showI[numI]-1);ii++){
	        objshowli[numI].getElementsByTagName("li")[ii].className="";
		}
		objshowli[numI].getElementsByTagName("li")[changeI[numI]].className="show_current";
		Strdota[numI]=objshowli[numI].getElementsByTagName("li")[changeI[numI]].name.split("|");
		loadDota(numI);
		if(changeI[numI]<(showI[numI]-1)){changeI[numI]++}else{changeI[numI]=0};
	} 
	playShow[1]=setInterval("$(this).turnShow(1)",showSpeed[1]);  
	playShow[2]=setInterval("$(this).turnShow(2)",showSpeed[2]);  
	playShow[3]=setInterval("$(this).turnShow(3)",showSpeed[3]);  
	
	document.getElementById("showimg1").onmouseover=function(){
		clearInterval(playShow[1]);
	}
	document.getElementById("showimg1").onmouseout=function(){
		clearInterval(playShow[1]);
		playShow[1]=setInterval("$(this).turnShow(1)",showSpeed[1]);
	}
    document.getElementById("showimg2").onmouseover=function(){
		clearInterval(playShow[2]);
	}
	document.getElementById("showimg2").onmouseout=function(){
		clearInterval(playShow[2]);
		playShow[2]=setInterval("$(this).turnShow(2)",showSpeed[2]);
	}
	document.getElementById("showimg3").onmouseover=function(){
		clearInterval(playShow[3]);
	}
	document.getElementById("showimg3").onmouseout=function(){
		clearInterval(playShow[3]);
		playShow[3]=setInterval("$(this).turnShow(3)",showSpeed[3]); 
	}
})

//基于jquery之上的应用 婚姻情感首页轮播图
var turnSpeed=3000,//speed是设置图片切换速度
turnobjImg="#hyqg_maximg",//大图对象
selectorintPic=".hyqg_turn ul li:first",//初始化选择器
objImglink="#hyqg_turnlink",//大图链接地址对象
objText="",//大图说明对象.atlas_turnimg span
selectorPic=".hyqg_turn ul li",//小图片的选择器
objcurrentPic="turn_current",//小图片的当前对象
playType=1;//播放类型，0是点击播放；1是鼠标经过播放